x
ShortPedia
Smart Content App Hand picked content everyday

Image Credit: shortpedia

Mozilla urges Firefox users to update browser due to vulnerability

A zero-day vulnerability in its browser has forced Mozilla to urge Firefox users to update to the latest version which includes Firefox ESR. It’s essential for system administrators who control desktop environments in schools, offices, governments and other organizations. The bug, a 'type confusion vulnerability', has been labeled 'critical'. It allows outside users to remotely execute code on your machine.